Package Details: cogl-amdgpu-pro 1.22.2-1

Git Clone URL: https://aur.archlinux.org/cogl-amdgpu-pro.git (read-only)
Package Base: cogl-amdgpu-pro
Description: cogl with support for amdgpu-pro
Upstream URL: http://www.clutter-project.org/
Licenses: GPL2
Conflicts: cogl
Provides: cogl
Replaces: cogl
Submitter: s1kx
Maintainer: None
Last Packager: s1kx
Votes: 1
Popularity: 0.000001
First Submitted: 2016-09-12 03:01
Last Updated: 2016-09-12 03:01

Latest Comments

s1kx commented on 2017-05-15 05:04

Sorry I can't maintain this package anymore as I switched to nvidia since the AMD drivers didn't work well enough.
If someone else wants to take over the package, please let me know.

lucaspiller commented on 2016-12-23 23:10

I had the same issue as @talonz: ld cannot find -legl. I fixed it by installing the libegl1-amdgpu-pro-dev package.

npfeiler commented on 2016-10-22 00:08

mutter has an internal version of cogl which needs to be patched too

Vi0L0 provides patched mutter and cogl in the catalyst repo:
https://wiki.archlinux.org/index.php/unofficial_user_repositories#catalyst

tscs37 commented on 2016-10-16 08:54

Package is broken under Gnome, journalctl shows cogl crashing/failing.

Paullux commented on 2016-10-15 12:43

Today, the package doesn't work. Since i updated my system, with the update of gnome.

talonz commented on 2016-09-24 04:56

I cannot get this to compile I keep getting an error

/Usr/bin/ld cannot find -legl

L0g4n commented on 2016-09-21 00:28

Thanks! worked for me on GNOME with GDM.

s1kx commented on 2016-09-14 23:13

I have the same problems too, not quite sure how to fix it. I tried different shader language versions, but nothing seems to fix this transparency issue.

There is a full discussion about it at https://bugzilla.gnome.org/show_bug.cgi?id=756306 which gives some more insight into the situation. cogl developers blame gnome-shell, shell developers blame cogl...

I think the problem happens only with the amdgpu-pro drivers, not with xf86-video-amdgpu, since it uses mesa-libgl. I couldn't get plain amdgpu to run properly though and ended up switching out cards back to nvidia... I'll still try to maintain this package, but have to test things on my other computer.

What *might* work is using the amdgpu-pro-dkms package, but with mesa-libgl 12.1, which is why I haven't made the libgl*-amdgpu-pro packages dependencies of this package yet.

Let me know if you find out something that works please.

g00dx commented on 2016-09-14 16:31

Thanks for creating this, while it does allow me to now log onto cinnamon I get graphical glitches where gtk2 applications have Ad-hoc window transparency such as steam or java applications. Same thing happened when I built my copy of cogl and also when I used the packaged version from the catalyst repository. I was hoping maybe I missed a build option you might have included. From what I read cogl is not even going to attempt fix or patch this.

Should you make lib32-libgles2-amdgpu-pro-dev and libgles2-amdgpu-pro-dev dependencies? I had to go back and install both before I could build the package. Couldn't install the mesa libs because of the amdgpu-pro drivers and conflicts.